> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Rewards

> Returns claimable and pending reward positions for a given wallet.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/earning/rewards
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/earning/rewards:
    get:
      tags:
        - Rewards
      summary: Get User Rewards
      description: Returns claimable and pending reward positions for a given wallet.
      operationId: get_rewards
      parameters:
        - name: userAddress
          in: query
          required: true
          schema:
            type: string
        - name: protocol
          in: query
          schema:
            type: string
        - name: isAsync
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: List of reward positions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - morpho_reward
                                - morpho_merkl_reward
                                - morpho_balance
                            chain:
                              type: string
                            protocol:
                              type: string
                            asset:
                              $ref: '#/components/schemas/Asset'
                            amount:
                              type: object
                              properties:
                                total:
                                  type: string
                                claimed:
                                  type: string
                                claimableNow:
                                  type: string
                            fee:
                              type: integer
                            userAddress:
                              type: string
                            distributorAddress:
                              type: string
                              nullable: true
                            extraData:
                              type: object
                              properties:
                                proofs:
                                  type: array
                                  items:
                                    type: string
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetRewardListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Asset:
      type: object
      properties:
        name:
          type: string
        ecosystem:
          type: string
        chain:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        contractAddress:
          type: string
        logoURI:
          type: string
          nullable: true
        priceUsd:
          type: number
          nullable: true
        totalSupply:
          type: number
          nullable: true
        isStakeable:
          type: boolean
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Getting Started](/docs/pooled-staking-getting-started.md)
- [Get User Positions](/reference/get-user-positions.md)
- [Get Validator Rewards](/reference/data-validator-rewards.md)
- [Get Delegator Rewards](/reference/data-delegator-rewards.md)
- [Get Block Rewards](/reference/data-network-block-rewards.md)
